## sgml-tools 1.0.9.dummy-93

=== debian/changelog ===
sgml-tools (1.0.9.dummy-93) unstable; urgency=low

  * increase the original version to avoid the problem
    related to the source archive.

 -- Taketoshi Sano <sano@debian.org>  Tue,  6 Mar 2001 18:07:50 +0900

sgml-tools (1.0.9-92) unstable; urgency=low

  * changed to just set the dependencies: no postinst, no suicide.
    Users just need to remove this dummy package after migration.

 -- Taketoshi Sano <sano@debian.org>  Tue,  6 Mar 2001 14:59:19 +0900

sgml-tools (1.0.9-91) unstable; urgency=low

  * add sgmltools-2

 -- Taketoshi Sano <sano@debian.org>  Mon,  5 Mar 2001 11:30:53 +0900

sgml-tools (1.0.9-90) unstable; urgency=low

  * borrow the code from debianjp-merge-fix and use it
    for smooth upgrade from sgml-tools into linuxdoc-tools.

 -- Taketoshi Sano <sano@debian.org>  Fri,  2 Mar 2001 13:36:25 +0900

sgml-tools (1.0.9-16) stable unstable; urgency=low

  * Update various backend drivers to add more security on
    intermediate files in temporary directory. This should
    really fix the problem about the Bug#78452.

 -- Taketoshi Sano <sano@debian.org>  Thu, 14 Dec 2000 10:35:00 +0900

sgml-tools (1.0.9-15) stable unstable; urgency=low

  * Use newly created temporary directory under /tmp for
    temporary files to avoid the race condition safely.
    Closes: #78452

 -- Taketoshi Sano <sano@debian.org>  Wed, 13 Dec 2000 21:19:37 +0900

sgml-tools (1.0.9-14) stable unstable; urgency=low

  * Release Manager: Please include this into proposed-updates
    for potato
  * Another security fix for /tmp race conditions and weak
    permissions. Thanks to Colin Phipps. Closes: #78452
  * Fix Makefile to invoke bash script correctly. Also thanks
    to Colin Phipps.  Closes: #78455

 -- Taketoshi Sano <sano@debian.org>  Sat,  2 Dec 2000 00:13:04 +0900

sgml-tools (1.0.9-13) stable unstable; urgency=medium

  * Release Manager: Please include this into proposed-udpates
    and point-release of potato.
  * fix the dangarous bug which removes the all files in the current
    directory.  The timing to cause this bug is very short, so that
    I had not found this bug recently.  Now I have checked that this
    bug in fact exists, and do very harm.  Maybe the bug severity
    weighs grave or clitical because of the data loss.
  * Thanks to Evgeny Stambulchik.  This fix is back-ported from
    his patch for my linuxdoc-tools 0.7.4.
  * fix the sgml2txt list error. another back-port from linuxdoc-tools
    Closes: #66348
  * Add build-depend. Closes: #69282, #69289

 -- Taketoshi Sano <sano@debian.org>  Tue, 17 Oct 2000 22:46:21 +0900

sgml-tools (1.0.9-12) frozen unstable; urgency=low

  * Fix man page for sgml2latex, reflecting the change in
    the previous version (1.0.9-11). This is only a documentation
    change, so this should go into the frozen (potato).

 -- Taketoshi Sano <sano@debian.org>  Mon, 14 Feb 2000 21:20:56 +0900

sgml-tools (1.0.9-11) frozen unstable; urgency=low

  * Use temporary directory to output the intermediate TeX/DVI
    and related files for sgml2latex. Closes: #57558
    (modification is done in fmt_latex2e.pl only)

 -- Taketoshi Sano <sano@debian.org>  Fri, 11 Feb 2000 15:35:39 +0900

sgml-tools (1.0.9-10) frozen unstable; urgency=low

  * Convert gif files under /usr/lib/sgml-tools/icons/
    into png files, and make modifications to SGMLTools/Html2Html.pm
    in order to use png files in the place of gif files for icons.
    Update related manpages. This change is intended to provide
    our users the way to use these icons without the inconveience
    related to the patent problem of GIF. This problem is reported
    on ldp-discuss list.

 -- Taketoshi Sano <sano@debian.org>  Fri,  4 Feb 2000 10:19:09 +0900

sgml-tools (1.0.9-9) frozen unstable; urgency=low

  * forgot to include the fix for lib/SGMLTools.pm in 1.0.9-8
    in order not to output "Error:" messages when invoking
    the sgmltools-v1 command.
  * lib/SGMLTools/Utils.pm: add sort() to set the order of format
    in help message ("general option:" is shown first)

 -- Taketoshi Sano <sano@debian.org>  Sat, 29 Jan 2000 19:16:55 +0900

sgml-tools (1.0.9-8) frozen unstable; urgency=low

  * fix lib/dist/fmt_latex2e.pl and lib/dist/sgmltool/latex2/*mapping
    to convert URI which includes tilde (~) and enum (#) in <url> tag.
    Closes: #56150
  * more tune on lib/dist/fmt_latex2e.pl to remove multiple comments
    in section's title to produce the correct .tex file with sgml2latex.
    Closes: #56130
  * fix lib/SGMLTools/Utils.pm to handle multiple conditionalization
    for sgmlpre. Related document (guide.sgml) and manpages are updated.
    Closes: #56337
  * fix lib/SGMLTools.pm not to output "Error:" messages
    when invoking sgmltools-v1 command (This is described in manpages
    as the authorized way to get the information about options).

 -- Taketoshi Sano <sano@debian.org>  Thu, 27 Jan 2000 21:21:06 +0900

sgml-tools (1.0.9-7) frozen unstable; urgency=low

  * fix lib/dist/fmt_latex2e.pl to remove the empty lines in section's
    title for .tex file. Closes: #56130
  * add "--footer (-F)" and "--header (-H)" option to sgml2html
    to insert the customized header and footer.

 -- Taketoshi Sano <sano@debian.org>  Tue, 25 Jan 2000 14:48:34 +0900

sgml-tools (1.0.9-6) unstable; urgency=low

  * add support for doc-base

 -- Taketoshi Sano <sano@debian.org>  Thu, 13 Jan 2000 12:30:53 +0900

sgml-tools (1.0.9-5) unstable; urgency=low

  * tune lib/dist/fmt_info.pl to change the rule of re-writing
    in order to handle debian-faq.sgml more properly.

 -- Taketoshi Sano <sano@debian.org>  Tue, 21 Dec 1999 07:39:46 +0900

sgml-tools (1.0.9-4) unstable; urgency=low

  * modify lib/dist/fmt_info.pl to enable sgml2info on debian-faq.sgml 
    from doc-debian package - Closes: #31107
  * modify lib/SGMLTools.pm to warn and abort if the specified document
    as input file are not written in linuxdoc DTD. the description in
    debian/control is changed also.

