=== debian/control ===
Source: sgml-tools
Section: text
Priority: optional
Maintainer: Taketoshi Sano <sano@debian.org>
Standards-Version: 3.0.1

Package: sgml-tools
Architecture: all
Depends: linuxdoc-tools (>= 0.9.1)
Description: Replaced by linuxdoc-tools (dummy package for upgrade)
 sgml-tools is now obsoleted and replaced by linuxdoc-tools.
 This is dummy package for automatic migration.
